Skip to content
Browse files

MDL-23222 marking spl as required php ext

  • Loading branch information...
1 parent 04ea827 commit 29a61a2c157625fa8f7240d7eed17c8c08cf04ab @skodak skodak committed Jul 15, 2010
Showing with 6 additions and 0 deletions.
  1. +5 −0 admin/environment.xml
  2. +1 −0 lang/en_utf8/admin.php
View
5 admin/environment.xml
@@ -282,6 +282,11 @@
<ON_CHECK message="simplexmlrequired" />
</FEEDBACK>
</PHP_EXTENSION>
+ <PHP_EXTENSION name="spl" level="required">
+ <FEEDBACK>
+ <ON_CHECK message="splrequired" />
+ </FEEDBACK>
+ </PHP_EXTENSION>
</PHP_EXTENSIONS>
<PHP_SETTINGS>
<PHP_SETTING name="memory_limit" value="40M" level="required">
View
1 lang/en_utf8/admin.php
@@ -711,6 +711,7 @@
$string['smtpuser'] = 'SMTP username';
$string['soaprecommended'] = 'Installing the optional soap extension is useful for web services and some contrib modules.';
$string['spamcleaner'] = 'Spam cleaner';
+$string['splrequired'] = 'The SPL PHP extension is now required by Moodle.';
$string['stats'] = 'Statistics';
$string['statscatdepth'] = 'Maximum parent categories';
$string['statsfirstrun'] = 'Maximum processing interval';

0 comments on commit 29a61a2

Please sign in to comment.
Something went wrong with that request. Please try again.